http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams<p>Creates a streaming session stream for a streaming session.</p> <p>After invoking this API, invoke GetStreamingSessionStream with the returned streamId to poll the resource until it is in the <code>READY</code> state.</p>
The streaming session ID.
The studio ID.
The expiration time in seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams<p>Creates a streaming session stream for a streaming session.</p> <p>After invoking this API, invoke GetStreamingSessionStream with the returned streamId to poll the resource until it is in the <code>READY</code> state.</p>
The streaming session ID.
The studio ID.
The expiration time in seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}